IRQ_SETUP_GENERIC_CH(9)

NAME
irq_setup_generic_chip - Setup a range of interrupts with a generic chip

SYNOPSIS

void irq_setup_generic_chip(struct irq_chip_generic * gc, u32 msk, enum irq_gc_flags flags, unsigned int clr, unsigned int set);

ARGUMENTS

gc
    Generic irq chip holding all data

msk
    Bitmask holding the irqs to initialize relative to gc->irq_base

flags
    Flags for initialization

clr
    IRQ_* bits to clear

set
    IRQ_* bits to set

DESCRIPTION

Set up max. 32 interrupts starting from gc->irq_base. Note, this initializes all interrupts to the primary irq_chip_type and its associated handler.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT